Skip to content
Docs

Get blob upload status

GEThttps://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid}
GET /v2/:teamSlug/:projectSlug/:repositoryName/blobs/uploads/:uuid Query the status of an in-progress blob upload. Used by clients to resume a partial upload after an interruption.
https://api.vercel.com/v2/{teamSlug}/{projectSlug}/{repositoryName}/blobs/uploads/{uuid}
const response = await fetch('https://api.vercel.com/v2/teamSlug/projectSlug/repositoryName/blobs/uploads/uuid', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_ACCESS_TOKEN',
'Content-Type': 'application/json',
},
});
const data = await response.json();
console.log(data);
Response
"value"
teamSlugstringRequired
Single Docker repository team slug component.
projectSlugstringRequired
Single Docker repository project slug component.
repositoryNamestringRequired
Single Docker repository name component.
uuidstringRequired
Blob upload session identifier.
204Success
400One of the provided values in the request query is invalid.
401The request is not authorized.
402The account is missing a payment so payment method must be updated
403You do not have permission to access this resource.
404Error
410Error